package p13_pliki.podstawy;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class Odczyt6_Stream {
	// Przetwarzanie strumieniowe (od Java 8).
	// Wszystkie linie NIE SĄ wczytywane na raz, tylko są przetwarzane pojedynczo.
	public static void main(String[] args) {
		
		try {
			Files.lines(Paths.get("plik.txt"))
				.filter(line -> !line.isBlank())
				.forEach(line -> System.out.println(line));
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
